Loading...
Searching...
No Matches
msg_common_s Struct Reference

Common part of the header objects (or message fragments). More...

`#include <msg_types.h>`

## Data Fields

msg_header_t * | h_succ
| Pointer to succeeding fragment.
msg_header_t ** | h_prev
| Pointer to preceeding fragment.
msg_hclass_t * | h_class
| Header class.
void const * | h_data
| Fragment data.
usize_t | h_len
| Fragment length (including CRLF).

## Detailed Description

Common part of the header objects (or message fragments).

This structure is also known as msg_common_t or sip_common_t.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.